<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__disc__incl__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_disc_incl_info_t</compoundname>
    <includes local="no">cy_ble_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__disc__incl__info__t_1a366ee1a955e8ac6799794ea59724c75e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_disc_incl_info_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>The connection handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="67" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="67" />
      </memberdef>
      <memberdef id="structcy__stc__ble__disc__incl__info__t_1ac9e2f88bf441f44d592e994d0610b105" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_disc_incl_info_t::inclDefHandle</definition>
        <argsstring />
        <name>inclDefHandle</name>
        <briefdescription>
<para>Included definition handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="68" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="68" />
      </memberdef>
      <memberdef id="structcy__stc__ble__disc__incl__info__t_1a5d14ffa14a0e3ecd0a64acab3a361bce" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__attr__handle__range__t">cy_stc_ble_gatt_attr_handle_range_t</ref></type>
        <definition>cy_stc_ble_gatt_attr_handle_range_t cy_stc_ble_disc_incl_info_t::inclHandleRange</definition>
        <argsstring />
        <name>inclHandleRange</name>
        <briefdescription>
<para>Included declaration handle range. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="69" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="69" />
      </memberdef>
      <memberdef id="structcy__stc__ble__disc__incl__info__t_1ad7b2eb43cee37a784d9c708e4e351bbb" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="unioncy__ble__uuid__t">cy_ble_uuid_t</ref></type>
        <definition>cy_ble_uuid_t cy_stc_ble_disc_incl_info_t::uuid</definition>
        <argsstring />
        <name>uuid</name>
        <briefdescription>
<para>Included UUID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="70" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="70" />
      </memberdef>
      <memberdef id="structcy__stc__ble__disc__incl__info__t_1a33360d1d6616fe981ac3a165529a826d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_disc_incl_info_t::uuidFormat</definition>
        <argsstring />
        <name>uuidFormat</name>
        <briefdescription>
<para>UUID Format - 16-bit (0x01) or 128-bit (0x02) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="71" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="71" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Included service data received with read by type response during discovery process. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="435">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="432">
        <label>cy_ble_uuid_t</label>
        <link refid="unioncy__ble__uuid__t" />
        <childnode refid="433" relation="usage">
          <edgelabel>uuid128</edgelabel>
        </childnode>
      </node>
      <node id="434">
        <label>cy_stc_ble_gatt_attr_handle_range_t</label>
        <link refid="structcy__stc__ble__gatt__attr__handle__range__t" />
      </node>
      <node id="433">
        <label>cy_stc_ble_uuid128_t</label>
        <link refid="structcy__stc__ble__uuid128__t" />
      </node>
      <node id="431">
        <label>cy_stc_ble_disc_incl_info_t</label>
        <link refid="structcy__stc__ble__disc__incl__info__t" />
        <childnode refid="432" relation="usage">
          <edgelabel>uuid</edgelabel>
        </childnode>
        <childnode refid="434" relation="usage">
          <edgelabel>inclHandleRange</edgelabel>
        </childnode>
        <childnode refid="435" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="72" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="65" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="66" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__disc__incl__info__t_1a366ee1a955e8ac6799794ea59724c75e" virt="non-virtual"><scope>cy_stc_ble_disc_incl_info_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__disc__incl__info__t_1ac9e2f88bf441f44d592e994d0610b105" virt="non-virtual"><scope>cy_stc_ble_disc_incl_info_t</scope><name>inclDefHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__disc__incl__info__t_1a5d14ffa14a0e3ecd0a64acab3a361bce" virt="non-virtual"><scope>cy_stc_ble_disc_incl_info_t</scope><name>inclHandleRange</name></member>
      <member prot="public" refid="structcy__stc__ble__disc__incl__info__t_1ad7b2eb43cee37a784d9c708e4e351bbb" virt="non-virtual"><scope>cy_stc_ble_disc_incl_info_t</scope><name>uuid</name></member>
      <member prot="public" refid="structcy__stc__ble__disc__incl__info__t_1a33360d1d6616fe981ac3a165529a826d" virt="non-virtual"><scope>cy_stc_ble_disc_incl_info_t</scope><name>uuidFormat</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>